H-Sphere Documentation Upgrades

For more information contact us

Upgrading H-Sphere Winboxes to 2.4 Patch 2

 

This guide instructs how to upgrade H-Sphere Windows software from 2.3.1, 2.3.2, 2.4 Betas, RC 1, 2.4 Final and 2.4 Patch 1 to 2.4 Patch 2.

Requirements:

  1. Make sure your H-Sphere Windows module has version 2.3.1 or higher:
    Open the file [Disk]:\\HSphere\scripts\consts.inc and check the parameters:
    // the current version
    version = 2.31

    If the version is older, update it to version 2.3.1 or higher.
  2. Open SOAP port 10125 for data communication between Control Panel and Windows server.
  3. Important: if you're using Serv-U FTP service, make sure to disable SOAP feature in hsphere.properties. Currently, H-Sphere with Serv-U installed doesn't support SOAP.

Upgrade:

  1. Download H-Sphere Windows 2.4 Patch 2 at:
    http://www.psoft.net/shiv/U24/U24.0P2/HSInst24p2.exe
  2. Run the file you have downloaded (HSInst24p2.exe) to upgrade H-Sphere to 2.4 Patch 2.
  3. After the H-Sphere upgrade, IIS will still run some modules of earlier versions. Restart IIS whenever it is convenient to ensure you run the updated modules.
  4. Important: For those who update from versions older than 2.4 Patch 1:
    To fix some misconfiguration in Shared SSL, download and then run http://www.psoft.net/shiv/U24/U24.0P2/SSLPatch.exe
  5. Update your Webshell to version 4.
  6. Optionally, install Pdb package for this Winbox version. Read more in Crash Reporting.
  7. Inform support@psoft.net about the upgrade. This is required so you can get appropriate support from psoft.

 



Copyright 1998-2006. Positive Software Corporation.
All rights reserved.